% limousine.m jest wywoywane przez m590 
%-----------------------------------------------------------------
% Ponisze programy s przeznaczone do wykorzystania z ksik
% MATLAB i Simulink. Poradnik uytkownika. Wydanie III
% Autorzy: Bogumia Mrozek, Zbigniew Mrozek
% Helion, 2010  ISBN: 978-83-246-2564-2
%----------------------------------
%% m590 Definiowanie klasy limousine
% Dziedziczenie klas: limusine jest potomkien klasy Auto.
% Inheritance: limusine is descendant of Auto class.

classdef limousine <Auto
    % limousine.m konstruktor dla klasy obiektw 'limousine'
    % potomek od 'Auto'
    properties
        iloscPasazer
    end
    methods
        function a=limousine(Model,Zuzycie100km,Paliwo,Pasazer)
            % konstruktor dla klasy obiektw 'Auto'
            % przykad wywoania:
            % Maybach=limousine('62 5.5',11.8,110,6
            if nargin == 0 % nic nie robi
            elseif isa(Model,'limousine')
                a=Model; % utworzenie duplikatu obiektu
            else
                a.model=Model;
                a.zuzyciePaliwa100km=Zuzycie100km;
                a.rezerwaPaliwa=Paliwo;
                a.iloscPasazer=Pasazer;
            end
        end %function
    end %methods
end %classdef